1. 06 Apr, 2021 2 commits
  2. 25 Mar, 2021 3 commits
  3. 13 Feb, 2021 1 commit
  4. 06 Aug, 2020 1 commit
    • Emmanuel Bourg's avatar
      Import Debian changes 6.5.0-1 · e520df14
      Emmanuel Bourg authored
      bcel (6.5.0-1) unstable; urgency=medium
      .
        * Team upload.
        * New upstream release
          - Disabled the BCEL-336 test (missing dependency)
        * Switch to debhelper level 13
      .
      bcel (6.4.1-1) unstable; urgency=medium
      .
        * Team upload.
        * New upstream release
          - Updated the Maven rules
          - Fixes a test failure likely caused by a recent OpenJDK 11 update
            (Closes: #952220)
        * Updated the watch file
        * Standards-Version updated to 4.5.0
      .
      bcel (6.3-1) unstable; urgency=medium
      .
        * Team upload.
        * New upstream release
        * Standards-Version updated to 4.4.0
        * Use salsa.debian.org Vcs-* URLs
      e520df14
  5. 11 Mar, 2021 1 commit
  6. 30 Mar, 2020 1 commit
  7. 25 Jul, 2019 1 commit
  8. 24 Jul, 2019 1 commit
  9. 22 Feb, 2019 1 commit
    • Andrej Shadura's avatar
      Import Debian changes 6.2-1co1 · 4d1b406f
      Andrej Shadura authored
      bcel (6.2-1co1) unstable; urgency=medium
      
        [ James Page ]
        * Switch to using maven-ant-helper for build, avoiding inclusion
          of Maven.
      
        [ Andrej Shadura ]
        * Use compat level 10, since cdbs doesn’t support compat level 11.
        * Fix the version regexp.
        * Don’t generate or install javadoc.
        * Skip tests.
        * This package needs at least Java 7.
        * Set classpath.
        * Drop junit4 dependency.
      4d1b406f
  10. 16 Jan, 2018 1 commit
    • Markus Koschany's avatar
      Import Debian changes 6.2-1 · dc5c235a
      Markus Koschany authored
      bcel (6.2-1) unstable; urgency=medium
      
        * Team upload.
        * New upstream version 6.2.
        * Use compat level 11.
        * Declare compliance with Debian Policy 4.1.3.
      
      bcel (6.1-1) unstable; urgency=medium
      
        * Team upload.
        * New upstream version 6.1
        * Switch to compat level 10.
        * Declare compliance with Debian Policy 4.1.1.
        * Use https for Format field.
      
      bcel (6.0-1) unstable; urgency=medium
      
        * Team upload.
        * New upstream release
          - New build dependencies on libcommons-lang3-java and libjna-platform-java
        * Relocated the org.apache.bcel:bcel:5.x artifact
          to org.apache.bcel:bcel:debian
        * Enabled the OSGi metadata
        * Build with the DH sequencer instead of CDBS
        * Standards-Version updated to 3.9.8
        * Use secure Vcs-* URLs
      
      bcel (6.0~rc3-2) unstable; urgency=medium
      
        * Team upload.
        * Add junit4 to build-deps. (Closes: #797489)
      
      bcel (6.0~rc3-1) unstable; urgency=medium
      
        * New upstream release supporting the Java 8 features
          (Closes: #448868, #757624)
        * Build with maven-debian-helper
        * Removed the patches
        * Link /usr/share/ant/lib/bcel.jar to the versionless jar in /usr/share/java
        * Standards-Version updated to 3.9.6 (no changes)
        * Moved the package to Git
        * debian/watch: Updated to watch the release tags on Github
      
      bcel (5.2-10) unstable; urgency=medium
      
        * Removed the duplicate API documentation in libbcel-java-doc
        * debian/control:
          - Standards-Version updated to 3.9.5 (no changes)
          - Removed Michael Koch from the uploaders (Closes: #653995)
          - Use a canonical URL for the Vcs-Svn field
          - Updated the Homepage field
        * Switch to debhelper level 9
        * debian/copyright: Updated to the Copyright Format 1.0
      
      bcel (5.2-9) unstable; urgency=low
      
        * Team upload.
      
        [Ludovic Claude]
        * Add version constraint on newer maven-repo-helper
        * d/rules: use mh_install instead of mh_installpoms + mh_installjar
        * Add --has-package-version switch in libbcel-java.poms and other
          options for mh_install
      
        [tony mancill]
        * Apply patch to address FTBFS on JDK7 (Closes: #651146)
          - Thank you to James Page.
        * Fix Vcs-Browser field (Closes: #634835)
        * Add d/libbcel-java.links (workaround for #651901)
        * Bumped Standards-Version to 3.9.2 - no changes required.
        * Upload to unstable.
      
      bcel (5.2-8) experimental; urgency=low
      
        * Team upload.
          - Upload to experimental due to freeze.
        * Updated javadoc linking to work with default-jdk-doc.
        * Use javahelper to calculate the recommends for the jacvadoc.
        * Added patch description to patches.
        * Updated the version number in the manifest.
        * Made patches compatible with quilt and let the 3.0 (quilt)
          source apply them.
          - This lead to a split of build.xml.patch into two patches.
        * Bumped debhelper compat to 7.
        * Use mh_clean to clean up after the mh_* commands.
        * Bumped S-V to 3.9.1 - no changes required.
        * Removed libxerces2-java and libregexp-java from (Build-)Depends
          - They are not used (anymore?).
        * Updated the description for the doc package.
      
      bcel (5.2-7) unstable; urgency=low
      
        * Change the (Build-)Depends for the jdk's doc package to default-jdk-doc.
          (Closes: 567267)
        * Downgrade the Depends on the jdk's doc package to Recommends.
        * Remove Stefan, Arnaud, Wolfgang, and Paul from Uploaders list. Thanks to
          your contribution in the past!
        * Update Standards-Version: 3.8.4.
        * Switch to source format 3.0.
      
      bcel (5.2-6) unstable; urgency=low
      
        * Upload to unstable.
      
      bcel (5.2-5) experimental; urgency=low
      
        * Add the Maven POM to the package
        * Add a Build-Depends-Indep dependency on maven-repo-helper
        * Add ${misc:Depends} to Depends to clear Lintian warnings
        * Drop the dependency on libxerces2-java-doc on the
          libbcel-java-doc package as xerces2 is not a runtime dependency
          for bcel, in fact xerces is not used at all in bcel's code.
          It caused lots of confusion in Ubuntu for nothing - see LP #190247.
        * Add libbcel-java-doc.docs to ship to real docs for a change.
        * Move the API docs to /usr/share/java/libbcel-java/api
        * Remove the link to bcel.jar installed in /usr/share/ant/lib, modify
          ant at the same time to install by itself this link
      
      bcel (5.2-4) unstable; urgency=low
      
        [ Matthias Klose ]
        * Build-depend on default-jdk instead of java-gcj-compat-dev. (Closes:
          #517840, #526277)
      
        [ Torsten Werner ]
        * Add myself to Uploaders.
        * Do no longer quote the full text of the Apache-2.0 license.
        * Switch to debhelper compat level 5.
        * Update Standards-Version: 3.8.2:
          - Fix Homepage header.
          - Add Vcs headers.
          - Move package to Section: java.
        * Prefer openjdk-6-doc as Depends for the -doc package.
      
      bcel (5.2-3) unstable; urgency=low
      
        * Added link from /usr/share/ant/lib/bcel.jar to /usr/share/java/bcel.jar
          (Closes: #440000).
      
      bcel (5.2-2) unstable; urgency=low
      
        * Migrate experimental version to unstable.
        * Remove downloading of a Jar from build.xml.
      
      bcel (5.2-1) experimental; urgency=low
      
        * New upstream release (Closes: #349779)
        * Upstream now uses Apache Software License version 2
        * Upgraded to standards version 3.7.2
        * Bumped debhelper to version 5
        * Added myself to co-maintainers
        * Uses java-gcj compiler, rather than kaffe
        * Moved ant / cdbs from build-depends-indep to build-depends as
          required by java-policy (and lintian)
        * Corrected dependencies (removed Java runtime as specified in Java policy)
        * Patched build.xml to remove <setproxy> actions (which are no supported in
          all JDKs), and to add a <link> to classpath-doc in the Javadoc target
        * Created watch file
        * Created "install" and "links" files for both binary packages
        * Moved API docs to /usr/share/doc/libbcel-java/api (as required
          by draft Java policy)
        * Added a doc-base
      
      bcel (5.1-6) unstable; urgency=low
      
        * kaffe compiler transition
        * Removed Takashi from uploaders to reflect current maintainers
        * Bumped debhelper version to fix linda error
      
      bcel (5.1-5) unstable; urgency=low
      
        * libant1.6-java to ant transition
        * Changed xerces dependency to xerces2
        * Removed explicit dependencies on gjdoc, jikes
        * Added myself to uploaders
        * Standards-Version 3.6.2
      
      bcel (5.1-4) unstable; urgency=low
      
        * Reupload with orig tarball (Closes: #301507).
        * Removed trailing line in debian/compat and debian/libjava-bcel-doc.docs.
      
      bcel (5.1-3) unstable; urgency=low
      
        * Move all packages to main.
        * Fixed Depends and Suggests.
      
      bcel (5.1-2) unstable; urgency=low
      
        * Moved to main.
        * Ported to CDBS.
        * Use Debian Java Packagers as Maintainer.
        * Added Takashi, Arnaud, myself to Uploaders.
        * Build-Depend and use kaffe and libant1.6-java.
        * Standards-Version: 3.6.1 (no changes required).
      
      bcel (5.1-1mkoch1) unstable; urgency=low
      
        * New upstream release
          + This version is compatible with JDK 1.4 (closes: #174977)
        * Added myself to Uploaders
        * Standards-Version: 3.6.0 (no changes required)
          + Don't use Ant in the clean target to avoid Build-Depends:
        * Build with debhelper >= 4.1.0 to get rid of /usr/doc compatibility
          symlinks
        * Updated long description and added a link to the home page.
        * Fixed build dependencies (closes: #174980)
        * Build using j2sdk1.4
        * Moved libbcel-java-doc from contrib/libs to contrib/doc
        * Updated download location and upstream authors debian/copyright
        * Fixed package dependencies according to the Java policy (closes: #174984)
        * Only build the API documentation, building the real documentaion requires
          addisional files from the Jakarta project
      
      bcel (5.0-1) unstable; urgency=low
      
        * New upstream release. (Cleses #137459 request new package)
      
      bcel (4.3.1-3) unstable; urgency=low
      
        * fixed bcel.jar was invalid (Closes: #136352)
      
      bcel (4.3.1-2) unstable; urgency=low
      
        * remove ant dependeny (Closes: #133066)
        * move to new Java Policy
      
      bcel (4.3.1-1) unstable; urgency=low
      
        * Initial Release.
      dc5c235a